/* テキスト画面圧縮展開 */

#include <stdio.h>
#include "defines.h"

void puttext3(int sx,int sy,unchar *buff,unchar *cbuff)
/* sx,sy : テキスト座標で与えること */
{
unsint cur;
	/* カーソルoff */
	cur=curmode(0);
	/* 展開 */
	if (cbuff==NULL) cbuff=&buff[*(int *)&buff[4]];
	_puttext3(TPLANE0+sx+sy*16*128,buff,cbuff);
	/* カーソル復帰 */
	curmode(cur);
}
